CMSIS-Driver: Driver_Storage.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_Storage.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_Storage_GetVersion (void)
| Get driver version. More...
ARM_STOR_CAPABILITIES | ARM_Storage_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_Storage_Initialize (ARM_Storage_Callback_t callback)
| Initialize the Storage interface. More...
int32_t | ARM_Storage_Uninitialize (void)
| De-initialize the Storage Interface. More...
int32_t | ARM_Storage_PowerControl (ARM_POWER_STATE state)
| Control the Storage interface power. More...
int32_t | ARM_Storage_ReadData (uint64_t addr, void *data, uint32_t size)
| Read data from Storage. More...
int32_t | ARM_Storage_ProgramData (uint64_t addr, const void *data, uint32_t size)
| Program data to Storage. More...
int32_t | ARM_Storage_Erase (uint64_t addr, uint32_t size)
| Erase Storage range. More...
int32_t | ARM_Storage_EraseAll (void)
| Erase complete Storage. More...
ARM_Storage_STATUS | ARM_Storage_GetStatus (void)
| Get Storage status. More...
int32_t | ARM_Storage_GetInfo (ARM_STORAGE_INFO *info)
| Get Storage information. More...
uint32_t | ARM_Storage_ResolveAddress (uint64_t addr)
| Resolve an address relative to the storage controller into a memory address. More...
int32_t | ARM_Storage_GetNextBlock (const ARM_STORAGE_BLOCK *prev_block, ARM_STORAGE_BLOCK *next_block)
| Advance to the successor of the current block (iterator). More...
int32_t | ARM_Storage_GetBlock (uint64_t addr, ARM_STORAGE_BLOCK *block)
| Find the storage block (iterator) encompassing a given storage address. More...